%define enable_check	0

%define build_experimental	1

%define major		1.0
%define majorminor	1.0
%define bname		gstreamer1.0

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-good
Version:	1.10.4
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.xz
URL:		http://gstreamer.freedesktop.org/
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libavc1394)
BuildRequires:	pkgconfig(libdv)
BuildRequires:	pkgconfig(libiec61883)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(shout)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xv)
BuildRequires:	aalib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libbzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	gstreamer1.0-plugins-base
Obsoletes:	gstreamer1.0-voip < 1.1.90

%ifarch %ix86
BuildRequires:	nasm >= 0.90
%endif

%ifnarch %mips
BuildRequires:	pkgconfig(valgrind)
%endif

Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

# gw this is the default http source:
Recommends:	%{bname}-soup

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that are considered to have
good quality code, correct functionality, the preferred license (LGPL
for the plug-in code, LGPL or LGPL-compatible for the supporting
library). People writing elements should base their code on these
elements.


%prep
%setup -q -n gst-plugins-good-%{version}
%autopatch -p1

%build
%configure2_5x  \
	--disable-static \
	--disable-rpath \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.%{_real_vendor}.org/' \
%if %{build_experimental}
	--enable-experimental
%else
	--disable-experimental
%endif

%make_build

%if %{enable_check}
# FIXME: Some tests on mips are currently failing with timeouts
# so disable them. Moreover, orc is failing to compile stuff
# on arm/mips so orc checks are half-failings (as the backup functions
# are working)
%check
cd tests/check
%ifarch %arm %mips
make check || /bin/true
%else
make check
%endif
%endif

%install
%make_install

%find_lang gst-plugins-good-%{majorminor}

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
find %{buildroot} -name '*.la' -delete

#blino remove development doc since we don't ship devel files
rm -rf %{buildroot}%{_docdir}/docs/plugins/html %{buildroot}%{_datadir}/gtk-doc

%files -f gst-plugins-good-%{majorminor}.lang
%doc AUTHORS COPYING README NEWS
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofx.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioparsers.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtmf.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflv.so
%{_libdir}/gstreamer-%{majorminor}/libgstequalizer.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so
%{_libdir}/gstreamer-%{majorminor}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgstinterleave.so
%{_libdir}/gstreamer-%{majorminor}/libgstisomp4.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%if %{build_experimental}
%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so
%endif
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultifile.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstoss4audio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstreplaygain.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstshapewipe.so
%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstspectrum.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideofilter.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so
%dir %{_datadir}/gstreamer-%{majorminor}/
%dir %{_datadir}/gstreamer-%{majorminor}/presets
%{_datadir}/gstreamer-%{majorminor}/presets/*

%package -n %{bname}-jack
Summary:	GStreamer plug-in for the Jack Sound Server
Group:		Sound/Utilities
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

%description -n %{bname}-jack
Plug-in for the JACK professional sound server.

%files -n %{bname}-jack
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so

%package -n %{bname}-soup
Summary:	GStreamer HTTP plugin based on libsoup
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-soup
Plug-in for HTTP access based on libsoup.

%files -n %{bname}-soup
%{_libdir}/gstreamer-%{majorminor}/libgstsouphttpsrc.so

%package -n %{bname}-pulse
Summary:	Pulseaudio plugin for GStreamer
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}
Requires:	pulseaudio >= 0.9.7

%description -n %{bname}-pulse
This is a GStreamer audio output plugin using the Pulseaudio sound server.

%files -n %{bname}-pulse
%{_libdir}/gstreamer-%{majorminor}/libgstpulse.so

### LIBDV ###
%package -n %{bname}-dv
Summary:	GStreamer DV plug-in
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-dv
Plug-in for digital video support using libdv.

%files -n %{bname}-dv
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so

%package -n %{bname}-speex
Summary:	Gstreamer plugin for encoding and decoding Ogg Speex audio files
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-speex
Plug-Ins for creating and playing Ogg Speex audio files.

%files -n %{bname}-speex
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so

### RAW1394 ###
%package -n %{bname}-raw1394
Summary:	GStreamer raw1394 Firewire plug-in
Group:		System/Libraries
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-raw1394
Plug-in for digital video support using raw1394.

%files -n %{bname}-raw1394
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so

### FLAC ###
%package -n %{bname}-flac
Summary:	GStreamer plug-in for FLAC lossless audio
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-flac
Plug-in for the free FLAC lossless audio format.

%files -n %{bname}-flac
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so

### AALIB ###
%package -n %{bname}-aalib
Summary:	Gstreamer plugin for Ascii-art output
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-aalib
Plugin for viewing movies in Ascii-art using aalib library.

%files -n %{bname}-aalib
%{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%package -n %{bname}-caca
Summary:	Gstreamer plugin for Ascii-art output
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-caca
Plugin for viewing movies in Ascii-art using caca library.

%files -n %{bname}-caca
%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so

%package -n %{bname}-vp8
Summary:	GStreamer VP8 plug-in
Group:		Video/Utilities

%description -n %{bname}-vp8
VP8 encoding and decoding plug-in.

%files -n %{bname}-vp8
%{_libdir}/gstreamer-%{majorminor}/libgstvpx.so

%package -n %{bname}-wavpack
Summary:	Gstreamer plugin for encoding and decoding WavPack audio files
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-wavpack
Plug-Ins for creating and playing WavPack audio files.

%files -n %{bname}-wavpack
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so


%changelog
* Fri Mar 10 2017 akien <akien> 1.10.4-2.mga6
+ Revision: 1091606
- Rebuild for v4l-utils 1.12.3

  + ovitters <ovitters>
    - new version 1.10.4

* Mon Jan 30 2017 ovitters <ovitters> 1.10.3-1.mga6
+ Revision: 1084206
- new version 1.10.3

* Sat Jan 21 2017 akien <akien> 1.10.2-2.mga6
+ Revision: 1082722
- Rebuild for arm

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081795
- new version 1.10.2
- drop upstreamed patches

* Thu Dec 22 2016 shlomif <shlomif> 1.8.3-3.mga6
+ Revision: 1076392
- Patch instead of remove FLC/FLI/FLX (?\194?\160MGA#19830 ).
- Disable FLX/FLC/FLI ( MGA#19830 ; CVE-2016-963[4-6] ).

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047096
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021001
- 1.8.2

* Wed Apr 20 2016 ovitters <ovitters> 1.8.1-1.mga6
+ Revision: 1003810
- new version 1.8.1

* Thu Mar 24 2016 wally <wally> 1.8.0-2.mga6
+ Revision: 995184
- enable dependency tracking

* Thu Mar 24 2016 ovitters <ovitters> 1.8.0-1.mga6
+ Revision: 994921
- new version 1.8.0

* Tue Mar 15 2016 ovitters <ovitters> 1.7.91-1.mga6
+ Revision: 990917
- new version 1.7.91

* Tue Mar 01 2016 ovitters <ovitters> 1.7.90-1.mga6
+ Revision: 981736
- new version 1.7.90

* Sat Jan 23 2016 luigiwalser <luigiwalser> 1.6.3-1.mga6
+ Revision: 926691
- 1.6.3

* Mon Dec 14 2015 ovitters <ovitters> 1.6.2-1.mga6
+ Revision: 910463
- new version 1.6.2

* Thu Nov 19 2015 daviddavid <daviddavid> 1.6.1-2.mga6
+ Revision: 904164
- rebuild for new libvpx 1.5.0

* Fri Oct 30 2015 ovitters <ovitters> 1.6.1-1.mga6
+ Revision: 896739
- new version 1.6.1

* Sun Sep 27 2015 tv <tv> 1.6.0-1.mga6
+ Revision: 884055
- new release

* Sat Jun 27 2015 cjw <cjw> 1.4.5-2.mga6
+ Revision: 846283
- rebuild for libvpx 1.4

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.4.5-1.mga6
+ Revision: 836950
- 1.4.5

* Sat Jun 20 2015 ovitters <ovitters> 1.4.4-1.mga6
+ Revision: 836390
- new version 1.4.4

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5
+ Revision: 741982
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 1.4.3-1.mga5
+ Revision: 731366
- new version 1.4.3

* Sat Sep 27 2014 tv <tv> 1.4.1-3.mga5
+ Revision: 726433
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 679986
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Aug 28 2014 ovitters <ovitters> 1.4.1-1.mga5
+ Revision: 668982
- new version 1.4.1

* Tue Jul 29 2014 tv <tv> 1.4.0-2.mga5
+ Revision: 657829
- rebuild with fixed gcc (might fix ff & shotwell)

* Mon Jul 21 2014 fwang <fwang> 1.4.0-1.mga5
+ Revision: 654960
- disable gtk-doc
- 1.4.0

* Sat Apr 19 2014 fwang <fwang> 1.2.4-1.mga5
+ Revision: 616988
- 1.2.4

* Sun Feb 09 2014 fwang <fwang> 1.2.3-1.mga5
+ Revision: 587304
- 1.2.3

* Thu Jan 23 2014 gw666 <gw666> 1.2.2-1.mga4
+ Revision: 567576
- new version (bug #12142)

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 536916
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 1.2.0-1.mga4
+ Revision: 485280
- new version 1.2.0

* Sat Sep 21 2013 fwang <fwang> 1.1.90-2.mga4
+ Revision: 483079
- obsolete rather than conflicts

* Sat Sep 21 2013 fwang <fwang> 1.1.90-1.mga4
+ Revision: 483031
- add file list
- add more br
- new version 1.1.90

* Thu Aug 29 2013 fwang <fwang> 1.0.10-1.mga4
+ Revision: 472794
- new version 1.0.10

* Thu Aug 01 2013 fwang <fwang> 1.0.9-1.mga4
+ Revision: 461936
- new version 1.0.9

  + ovitters <ovitters>
    - new version 1.0.8

* Mon Jun 03 2013 fwang <fwang> 1.0.7-2.mga4
+ Revision: 435955
- rebuild for new libpng

* Fri May 24 2013 fwang <fwang> 1.0.7-1.mga4
+ Revision: 425848
- new version 1.0.7

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 352760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3
+ Revision: 343523
- update file list

  + ovitters <ovitters>
    - new version 1.0.5

* Thu Dec 20 2012 cjw <cjw> 1.0.4-1.mga3
+ Revision: 333505
- 1.0.4

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 321183
- new version 1.0.3

* Thu Nov 08 2012 colin <colin> 1.0.2-2.mga3.tainted
+ Revision: 316272
- Enable the vp8 plugin (needed for cheese)

* Thu Oct 25 2012 ovitters <ovitters> 1.0.2-1.mga3
+ Revision: 309973
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303321
- new version 1.0.1
- drop unused switches

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3
+ Revision: 295746
- bump req

  + ovitters <ovitters>
    - new version 0.11.99

* Sat Sep 15 2012 fwang <fwang> 0.11.94-2.mga3
+ Revision: 294178
- rebuild for rpm gst1.0 provides

  + ovitters <ovitters>
    - clean spec

* Fri Sep 14 2012 fwang <fwang> 0.11.94-1.mga3
+ Revision: 293808
- update file list
- new version 0.11.94

* Wed Sep 05 2012 ovitters <ovitters> 0.11.93-2.mga3
+ Revision: 288290
- clean spec

* Tue Sep 04 2012 ovitters <ovitters> 0.11.93-1.mga3
+ Revision: 288276
- imported package gstreamer1.0-plugins-good

